{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}

{% block demosplanbundlecontent %}

    {% set counties = templateVars.counties|default([])|map(c => { label: c.name, value: c.id }) %}

    {% block title_text %}
        {#  pageheader - display procedure title + nav link #}
        {% include '@DemosPlanCore/DemosPlanCore/includes/pageheader.html.twig' with
        {
            link: path('DemosPlan_procedure_public_detail', { 'procedure':procedure }),
            link_caption: 'procedure.goto'|trans,
            width_css: {
                col1: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'u-1-of-5'|prefixClass,
                col2: currentUser.loggedIn == true ? 'u-1-of-1'|prefixClass : 'u-4-of-5'|prefixClass
            },
            content_heading: "statements.public"|trans ~ ": " ~ getProcedureName(proceduresettings),
            content_subheading: '<p class="' ~ 'u-mb-0'|prefixClass ~ '">' ~ "text.statements.public"|trans ~ "</p>"
        }
        %}
    {% endblock %}


    <div class="{{ 'o-page__padded--spaced u-pv'|prefixClass }}">
        <form
            data-dp-validate="publicForm"
            class="{{ 'layout flow-root'|prefixClass }}"
            name="sortform"
            method="post"
            action="{{ path('DemosPlan_statement_list_public',{'procedure':procedure}) }}">

            {#  filter fieldsets  #}
            {%  include '@DemosPlanCore/DemosPlanStatement/includes/form_filter.html.twig'
            with  { 'filter_target' : 'public' } %}

            <dp-public-statement-list
                class="layout__item"
                :statements="JSON.parse('{{ templateVars.list.statementlist|default([])|json_encode|e('js', 'utf-8') }}')"
                :counties="JSON.parse('{{ counties|json_encode|e('js', 'utf-8') }}')"
                procedure-id="{{ templateVars.procedure|default('') }}"
                show-checkbox
                show-edit
                show-delete
                show-pdf-download
                target="final_group"></dp-public-statement-list>
        </form>
        <dp-map-modal
            ref="mapModal"
            procedure-id="{{ procedure }}"
            map-options-route="dplan_api_map_options_public"
        >
        </dp-map-modal>
    </div>

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundle('core-listDraft.js') }}
{% endblock javascripts %}
